<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.rj.mapper.VideoImageAnalysisMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.rj.entity.VideoImageAnalysis">
        <id column="id" property="id" />
        <result column="model" property="model" />
        <result column="video_image_url" property="videoImageUrl" />
        <result column="video_image_temp_url" property="videoImageTempUrl" />
        <result column="user_question" property="userQuestion" />
        <result column="response_content" property="responseContent" />
        <result column="role" property="role" />
        <result column="finish_reason" property="finishReason" />
        <result column="choice_index" property="choiceIndex" />
        <result column="usage_prompt_tokens" property="usagePromptTokens" />
        <result column="usage_completion_tokens" property="usageCompletionTokens" />
        <result column="usage_total_tokens" property="usageTotalTokens" />
        <result column="request_data" property="requestData" />
        <result column="response_data" property="responseData" />
        <result column="user_name" property="userName" />
        <result column="user_phone" property="userPhone" />
        <result column="session_name" property="sessionName" />
        <result column="status" property="status" />
        <result column="created_at" property="createdAt" />
        <result column="updated_at" property="updatedAt" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, model, video_image_url, video_image_temp_url, user_question, response_content, role, finish_reason, 
        choice_index, usage_prompt_tokens, usage_completion_tokens, usage_total_tokens, 
        request_data, response_data, user_name, user_phone, session_name, status, 
        created_at, updated_at
    </sql>

</mapper>
